### Method

# Soup Session add_feature_by_type

#### Declaration [src]

    void
    soup_session_add_feature_by_type (
      SoupSession* session,
      GType feature_type
    )

#### Description [src]

If `feature_type` is the type of a class that implements `SoupSessionFeature`, this creates a new feature of that type and adds it to `session` as with `soup_session_add_feature()`. You can use this when you don’t need to customize the new feature in any way. Adding multiple features of the same `feature_type` is not allowed.

If `feature_type` is not a `SoupSessionFeature` type, this gives each existing feature on `session` the chance to accept `feature_type` as a “subfeature”. This can be used to add new `SoupAuth` types, for instance.

See the main `SoupSession` documentation for information on what features are present in sessions by default.

#### Parameters

`feature_type` | `GType`
| A `GType`.